logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

DescribeForbidStreamRules

GET

https://rtc-api.zego.im/

Queries stream publishing prohibition rules.

Rate Limiting
All rooms under the same AppID: 10 times/second.

Note
If the queried Stream ID does not exist or no stream publishing prohibition rules have been set, all field values in the response will be 0, as shown in streamId2 in the response example.
Attention

Calling the DescribeForbidStreamRules interface allows you to query both currently valid rules and expired rules. Please note that ZEGOCLOUD periodically purges expired prohibition rules from the database, so the list of expired rules obtained by calling this interface may be incomplete.

Request

Query Parameters

    Action stringrequired

    Possible values: [DescribeForbidStreamRules]

    Prototype parameters

    https://rtc-api.zego.im?Action=DescribeForbidStreamRules

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    RoomId stringrequired

    The Room ID to query.

    StreamId string[]required

    Possible values: >= 1, <= 10

    The Stream ID to query. When calling this interface, you cannot query more than 10 Stream IDs.

Responses

Operation succeeded
Schema
    Code int32

    Return code. The following only lists some return codes related to the interface business logic. For the complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    0Request succeeded.-
    1Request failed.Please contact ZEGOCLOUD technical support for assistance.
    2Input parameter error.-
    9Permission to use this interface has not been granted.Please contact ZEGOCLOUD technical support for assistance.
    123Failed to set stream information.Please retry, or contact ZEGOCLOUD technical support for assistance.
    206App request QPS is too high and has been rate-limited.Reduce request frequency, or contact ZEGOCLOUD technical support to increase the QPS limit threshold.
    Message string

    Description of the operation result.

    RequestId string

    Request ID.

    Data object
    RoomId string

    Room ID.

    ForbidStreamRuleList object[]
    List of queried stream publishing prohibition rule information.
  • Array[
  • StreamId string

    The queried Stream ID.

    DisableAudio int32

    Possible values: [0, 1]

    Whether the audio corresponding to the Stream ID is prohibited. 0: Not prohibited; 1: Prohibited.

    DisableVideo int32

    Possible values: [0, 1]

    Whether the video corresponding to the Stream ID is prohibited. 0: Not prohibited; 1: Prohibited.

    CreateTime int64

    The creation time of the stream publishing prohibition rule, Unix timestamp, in seconds.

    EffectiveTime int64

    The effective time of the stream publishing prohibition rule, Unix timestamp, in seconds.

  • ]

Previous

SetForbidStreamRule

Next

DelForbidStreamRule

On this page

Back to top